Name:           OpenEXR_CTL
Version:        1.0.1
Release:        28%{?dist}
Summary:        A simplified OpenEXR interface to CTL

Group:          System Environment/Libraries
License:        AMPAS BSD
URL:            http://sourceforge.net/projects/ampasctl/
Source0:        http://downloads.sourceforge.net/ampasctl/openexr_ctl-%{version}.tar.gz
Patch0:         openexr_ctl-1.0.1-gcc43.patch
Patch1:         openexr_ctl-1.0.1-pkgconfig.patch
Patch2:         openexr_ctl-1.0.1-configure_gcc43.patch
Patch3:         openexr_ctl-1.0.1-gcc44.patch
# Fix build with newer ilmbase/OpenEXR
Patch4:         openexr_ctl-1.0.1-namespace.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libtool
BuildRequires:  CTL-devel
BuildRequires:  OpenEXR-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
IlmImfCtl provides a simplified OpenEXR interface to CTL

exrdpx is an initial version of a CTL-driven file converter
that translates DPX files into OpenEXR files and vice versa.
The conversion between the DPX and OpenEXR color spaces is
handled by CTL transforms.

exr_ctl_exr is an initial version of a program that can bake
the effect of a series of CTL transforms into the pixels of
an OpenEXR file.


%package        libs
Summary:        Library for %{name}
Group:          System Environment/Libraries

%description    libs
The %{name}-libs package contains library for %{name}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       OpenEXR-devel
Requires:       CTL-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -n openexr_ctl-%{version}
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .conf_gcc43
%patch3 -p1 -b .gcc44
%if 0%{?fedora} > 20
%patch4 -p1 -b .namespace
%endif

# Needed to disable rpath from configure
#autoreconf

%build
%configure --disable-static

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/exr_ctl_exr
%{_bindir}/exrdpx

%files libs
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libIlmImfCtl.so.*
%dir %{_libdir}/CTL
%{_libdir}/CTL/*.ctl

%files devel
%defattr(-,root,root,-)
%{_includedir}/OpenEXR/ImfCtlApplyTransforms.h
%{_libdir}/libIlmImfCtl.so
%{_libdir}/pkgconfig/OpenEXR_CTL.pc


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.1-22
- Rebuilt for GCC 5 C++11 ABI change

* Wed Nov 26 2014 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-21
- rebuild (openexr)

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Feb 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 1.0.1-18
- fix build against newer ilmbase/OpenEXR
- use arch'd -libs dep in main/-devel subpkgs

* Sun Sep 08 2013 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-17
- rebuild (OpenEXR)

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-15
- rebuild (OpenEXR)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-12
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 20 2009 kwizart < kwizart at gmail.com > - 1.0.1-9
- Rebuild for F-12

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 kwizart < kwizart at gmail.com > - 1.0.1-6
- Rebuild for gcc44

* Tue Feb  3 2009 kwizart < kwizart at gmail.com > - 1.0.1-5
- Own %%libdir/CTL - Fix #473596

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 1.0.1-4
- Rebuild for gcc43

* Wed Jan 16 2008 kwizart < kwizart at gmail.com > - 1.0.1-3
- Remove BR/R OpenEXR

* Tue Jan  8 2008 kwizart < kwizart at gmail.com > - 1.0.1-2
- Fix rpath
- Fix gcc43
- Fix pkgconfig
- Fix unused-direct-shlib-dependencies

* Mon Nov 26 2007 kwizart < kwizart at gmail.com > - 1.0.1-1
- Initial package for Fedora

